<?php

declare(strict_types=1);

namespace App\Doctrine\Access\AdditionalExtension;

use Doctrine\ORM\QueryBuilder;

/**
 * Contrainte supplémentaire pour CurrentAccessExtension.
 */
class StudentsExtensionAdditional implements AdditionalAccessExtensionInterface
{
    public function support(string $name): bool
    {
        return $name === 'cget_students';
    }

    public function addWhere(QueryBuilder $queryBuilder): void
    {
    }
}
